Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.mina.common
Class DefaultIoFilterChainBuilder

    java.lang.Object
      org.apache.mina.common.DefaultIoFilterChainBuilder

All Implemented Interfaces:
  Cloneable, IoFilterChainBuilder

    public class DefaultIoFilterChainBuilder

extends Object
implements IoFilterChainBuilder, Cloneable

The default implementation of `IoFilterChainBuilder` which is useful in most cases. `DefaultIoFilterChainBuilder` has an identical interface with `IoFilter`; it contains a list of `IoFilter`s that you can modify. The `IoFilter`s which are added to this builder will be appended to the `IoFilterChain` when `buildFilterChain(IoFilterChain)` is invoked.

However, the identical interface doesn't mean that it behaves in an exactly same way with `IoFilterChain`. `DefaultIoFilterChainBuilder` doesn't manage the life cycle of the `IoFilter`s at all, and the existing `IoSession`s won't get affected by the changes in this builder. `IoFilterChainBuilder`s affect only newly created `IoSession`s.

     IoAcceptor acceptor = ...;
     DefaultIoFilterChainBuilder builder = acceptor.getFilterChain();
     builder.addLast( "myFilter", new MyFilter() );
     ...

Version:
  $Rev: 562335 $, $Date: 2007-08-03 14:28:02 +0900 (Fri, 03 Aug 2007) $
Author:
  The Apache Directory Project (mina-dev@directory.apache.org)

Field Summary

Fields inherited from interface org.apache.mina.common.IoFilterChainBuilder
`NOOP`

Constructor Summary
`DefaultIoFilterChainBuilder()` Creates a new instance with an empty filter list.

Method Summary
`void` | `addAfter(String baseName, String name, IoFilter filter)`
`void` | `addBefore(String baseName, String name, IoFilter filter)`
`void` | `addFirst(String name, IoFilter filter)`
`void` | `addLast(String name, IoFilter filter)`
`void` | `buildFilterChain(IoFilterChain chain)` Modifies the specified `chain`.
`void` | `clear()`
`Object` | `clone()`
`boolean` | `contains(Class<? extends IoFilter> filterType)`
`boolean` | `contains(IoFilter filter)`
`boolean` | `contains(String name)`
`IoFilter` | `get(String name)`
`List<IoFilterChain.Entry>` | `getAll()`
`List<IoFilterChain.Entry>` | `getAllReversed()`
`IoFilterChain.Entry` | `getEntry(String name)`
`IoFilter` | `remove(String name)`
`String` | `toString()`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DefaultIoFilterChainBuilder

    public DefaultIoFilterChainBuilder()

  Creates a new instance with an empty filter list.

Method Detail

### getEntry

    public IoFilterChain.Entry getEntry(String name)

  See Also:
    `IoFilterChain.getEntry(String)`

### get

    public IoFilter get(String name)

  See Also:
    `IoFilterChain.get(String)`

### getAll

    public List<IoFilterChain.Entry> getAll()

  See Also:
    `IoFilterChain.getAll()`

### getAllReversed

    public List<IoFilterChain.Entry> getAllReversed()

  See Also:
    `IoFilterChain.getAllReversed()`

### contains

    public boolean contains(String name)

  See Also:
    `IoFilterChain.contains(String)`

### contains

    public boolean contains(IoFilter filter)

  See Also:
    `IoFilterChain.contains(IoFilter)`

### contains

    public boolean contains(Class<? extends IoFilter> filterType)

  See Also:
    `IoFilterChain.contains(Class)`

### addFirst

    public void addFirst(String name,
                         IoFilter filter)

  See Also:
    `IoFilterChain.addFirst(String, IoFilter)`

### addLast

    public void addLast(String name,
                        IoFilter filter)

  See Also:
    `IoFilterChain.addLast(String, IoFilter)`

### addBefore

    public void addBefore(String baseName,
                          String name,
                          IoFilter filter)

  See Also:
    `IoFilterChain.addBefore(String, String, IoFilter)`

### addAfter

    public void addAfter(String baseName,
                         String name,
                         IoFilter filter)

  See Also:
    `IoFilterChain.addAfter(String, String, IoFilter)`

### remove

    public IoFilter remove(String name)

  See Also:
    `IoFilterChain.remove(String)`

### clear

    public void clear()
               throws Exception

  Throws:
    `Exception`
  See Also:
    `IoFilterChain.clear()`

### buildFilterChain

    public void buildFilterChain(IoFilterChain chain)
                          throws Exception

  Description copied from interface: `IoFilterChainBuilder`
  Modifies the specified `chain`.

  Specified by:
    `buildFilterChain` in interface `IoFilterChainBuilder`
  Throws:
    `Exception`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### clone

    public Object clone()

  Overrides:
    `clone` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2008 Apache MINA Project. All Rights Reserved.